Welcome to UltraGet Video Downloader

UltraGet Video Downloader allows you to easily download and play FLV (Flash for Video) from YouTube. With this YouTube video downloader, you can grab and save any YouTube videos to your local computer. The internal FLV (Flash for Video) video player enables you to enjoy the downloaded flash videos from YouTube more easily and smoothly.

Main window

Choose videos

Import selected videos to the program

Start to download videos

Watch videos

Convert videos from YouTube


Main window

Main Window of UltraGet Video Downloader

The main window of UltraGet Video Downloader is illustrated as follows:


Get help

Getting Help

Need help with UltraGet Video Downloader? There are a number of ways to get the help you need.

Help and Documentation ¨C this help documentation includes details on every feature and function of the software.

Online help ¨C you can get help by contacting support@ultraget.com and consulting our technical staff online.


Downloading and Watching Videos from YouTube

With UltraGet Video Downloader, you can download videos from YouTube and then enjoy them offline within three steps:

Step One

-Run UltraGet Video Downloader and choose Edit>Options to input your YouTube ID and password.

Step Two

-Sign in your YouTube account and select videos you want to watch. Copy the URL link of selected videos.

Step Three

-Right-click on the program to choose Paste Video URL to paste the link you have copied. Double-click the link to start downloading the video. After downloading, just use the built-in FLV player to watch downloaded videos easily.


Sign in YouTube Account

After you run the program, choose Edit>Options. You will see a pop-up window as the following:

-Input your user name and password on YouTube.

-Click Browse button to change the location of downloaded files.

-Click Open button to open the folder for downloaded files.

- Input desired number to set how many times the program retries if an error occurs while downloading. 0 means no retry while error occurs.

-Click OK button to apply your settings.


Choose videos you want

Choosing Videos you want on YouTube

Now you need to visit YouTube and log in. Then you can begin to find videos you like and copy their URL links.

-For IE users

Double-click the video thumbnail to open it and then copy the link displayed in navigation bar of the browser.

-For Firefox users

Simply right-click on thumbnail of the video and then choose Copy Link Location.

Note

On YouTube, you can only copy the link of those videos with + left bottom corner directly. Those videos without plus mark need to be open by double-clicking and then copy the URL beside the video not the URL link displayed in navigation bar of your browser.


Import selected videos to the program

Importing Selected Videos to the Program

After you copy the URL link of the video on YouTube, you need to paste the link to the program for downloading.

There are two ways you can paste the link.

- Simply right-click on the program panel to choose Paste Video URL

-Choose File> Import Video from YouTube or just click Import Video tab and then click the icon of folder to add a link by pressing Ctrl+V. After you add all links you want to download, you can click [image] or [image] button to change the downloading order. If you do not like to download the added one, simple click [image] to remove it from this downloading list.


Start downloading from YouTube

Starting Downloading from YouTube

After you paste links of all videos you need to the program, you can double-click a link to start downloading this vide from YouTube. If you need to download all or selected videos continuously, please refer to the following:

-Downloading all videos

Make sure you have checked at least one selection box before the file link firstly. Right-click on the program panel to choose Download All FLV Files. Then all files will be downloaded one-by-one. The downloaded file will marked by Complete, while the file readied to download is marked by Waiting.

-Downloading Selected Files

If you just need to download some of files in the downloading list, please check the selection box before them and then have a right-click to choose Download Selected YouTube FLV.


Watch downloaded videos

Watching Downloaded Videos

A built-in FLV video player is provided in the program. After the download is finished, you can watch the downloaded videos in the program directly. Click the Play button to play selected video.


Open the folder for downloaded videos

Opening the Folder for Downloading Videos

You can also use other FLV player to play the downloaded videos. You may download and install a free FLV player from

http://www.any-flv-player.com

Click Open button to open the folder of downloaded videos at once.


Convert downloaded videos

Converting Downloaded Videos

If you would like to play videos downloaded from YouTube on your mobile devices, such as iPod, PSP, Zune and cell phones, you may use a program called Any Video Converter to do so. Please visit http://www.any-video-converter.com to know more.